Ruby: z_stream_s Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
z_stream_s Struct Reference

`#include <zlib.h>`

## Data Fields
z_const Bytef * | next_in
uInt | avail_in
uLong | total_in
Bytef * | next_out
uInt | avail_out
uLong | total_out
z_const char * | msg
struct internal_state FAR * | state
alloc_func | zalloc
free_func | zfree
voidpf | opaque
int | data_type
uLong | adler
uLong | reserved

## Detailed Description

Definition at line 86 of file zlib.h.

## Field Documentation

## ◆ adler

uLong z_stream_s::adler

Definition at line 104 of file zlib.h.

Referenced by gzscan(), and gztack().

## ◆ avail_in

uInt z_stream_s::avail_in

Definition at line 88 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gunpipe(), gzcopy(), gzip_normalize(), gzscan(), gztack(), inf(), log_compress(), main(), unzOpenCurrentFile3(), unzReadCurrentFile(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ avail_out

uInt z_stream_s::avail_out

Definition at line 92 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), gztack(), inf(), log_compress(), main(), unzReadCurrentFile(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ data_type

int z_stream_s::data_type

Definition at line 102 of file zlib.h.

Referenced by deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), zipCloseFileInZipRaw64(), and zipOpenNewFileInZip4_64().

## ◆ msg

z_const char* z_stream_s::msg

Definition at line 95 of file zlib.h.

Referenced by gunpipe(), gunzip(), gzip_normalize(), lunpipe(), and unzReadCurrentFile().

## ◆ next_in

z_const Bytef* z_stream_s::next_in

Definition at line 87 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gunpipe(), gunzip(), gzcopy(), gzip_normalize(), gzscan(), gztack(), inf(), log_compress(), lunpipe(), main(), unzOpenCurrentFile3(), unzReadCurrentFile(), and zipWriteInFileInZip().

## ◆ next_out

Bytef* z_stream_s::next_out

Definition at line 91 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), gztack(), inf(), log_compress(), main(), unzReadCurrentFile(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ opaque

voidpf z_stream_s::opaque

Definition at line 100 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), inf(), log_compress(), main(), unzOpenCurrentFile3(), and zipOpenNewFileInZip4_64().

## ◆ reserved

uLong z_stream_s::reserved

Definition at line 105 of file zlib.h.

## ◆ state

struct internal_state FAR* z_stream_s::state

Definition at line 96 of file zlib.h.

## ◆ total_in

uLong z_stream_s::total_in

Definition at line 89 of file zlib.h.

Referenced by gzscan(), gztack(), main(), unzReadCurrentFile(), zip64FlushWriteBuffer(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ total_out

uLong z_stream_s::total_out

Definition at line 93 of file zlib.h.

Referenced by gzscan(), main(), unzOpenCurrentFile3(), unzReadCurrentFile(), unztell(), zipCloseFileInZipRaw64(), zipOpenNewFileInZip4_64(), and zipWriteInFileInZip().

## ◆ zalloc

alloc_func z_stream_s::zalloc

Definition at line 98 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), inf(), log_compress(), main(), unzOpenCurrentFile3(), and zipOpenNewFileInZip4_64().

## ◆ zfree

free_func z_stream_s::zfree

Definition at line 99 of file zlib.h.

Referenced by def(), deflate_index_build(), deflate_index_extract(), gzcopy(), gzip_normalize(), gzscan(), inf(), log_compress(), main(), unzOpenCurrentFile3(), and zipOpenNewFileInZip4_64().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/zlib.h